diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/FoamXClient.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/FoamXClient.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/FoamXClient.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/FoamXClient.cfg	2006-10-31 16:58:21.359521000 +0900
@@ -6,6 +6,10 @@
 
 #- Browser for online documentation (default is mozilla)
 #FoamX.Browser=konqueror
+FoamX.Browser=cygstart.exe
+
+#- PDF reader (default is acroread)
+FoamX.PDFBrowser=cygstart.exe
 
 #- Editor to use when error upon reading dictionary.
 #-  internal: basic built-in editor
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/div/phiB2DBUB.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/div/phiB2DBUB.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/div/phiB2DBUB.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/div/phiB2DBUB.cfg	2006-12-02 22:29:54.746152000 +0900
@@ -6,7 +6,7 @@
 |    \\/     M anipulation  |                                                 |
 \*---------------------------------------------------------------------------*/
 
-div(phiB,(2*DBU*B))
+div(phiB,((2*DBU)*B))
 {
     include "vector.cfg"; 
     iconURL "/FoamX/icons/small/maths/divPhiB2DBUB.gif";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/flux/variables/T.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/flux/variables/T.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/flux/variables/T.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/flux/variables/T.cfg	2006-12-02 21:02:58.495552000 +0900
@@ -10,7 +10,7 @@
 {
     type                compound;
     editable            0;
-    iconURL             "/FoamX/icons/small/maths/T.gif";
+    iconURL             "/FoamX/icons/small/maths/T_.gif";
 }        
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/flux/variables/U.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/flux/variables/U.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/flux/variables/U.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSchemes/flux/variables/U.cfg	2006-12-02 21:04:35.224641000 +0900
@@ -10,7 +10,7 @@
 {
     type                compound;
     editable            0;
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
 }        
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Alpha_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Alpha_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Alpha_.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Alpha_.cfg	2006-12-02 20:51:30.686531000 +0900
@@ -10,7 +10,7 @@
 {
     include             "asymmetricSparse.cfg";
     description         "Solver for the Alpha equation";
-    iconURL             "/FoamX/icons/small/maths/Alpha.gif";
+    iconURL             "/FoamX/icons/small/maths/Alpha_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/B_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/B_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/B_.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/B_.cfg	2006-12-02 20:52:51.122192000 +0900
@@ -10,7 +10,7 @@
 {
     include             "asymmetricSparse.cfg";
     description         "Solver for the B equation";
-    iconURL             "/FoamX/icons/small/maths/B.gif";
+    iconURL             "/FoamX/icons/small/maths/B_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/R.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/R.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/R.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/R.cfg	2006-12-02 21:01:35.806651000 +0900
@@ -10,7 +10,7 @@
 {
     include             "asymmetricSparse.cfg";
     description         "Solver for the R equation";
-    iconURL             "/FoamX/icons/small/maths/R.gif";
+    iconURL             "/FoamX/icons/small/maths/R_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/T.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/T.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/T.cfg	2005-08-19 02:53:01.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/T.cfg	2006-12-02 21:03:11.864776000 +0900
@@ -10,7 +10,7 @@
 {
     include             "asymmetricSparse.cfg";
     description         "Solver for the T equation";
-    iconURL             "/FoamX/icons/small/maths/T.gif";
+    iconURL             "/FoamX/icons/small/maths/T_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Tsymm.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Tsymm.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Tsymm.cfg	2005-08-19 02:52:50.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Tsymm.cfg	2006-12-02 21:03:22.239694000 +0900
@@ -10,7 +10,7 @@
 {
     include             "symmetricSparse.cfg";
     description         "Solver for the T equation";
-    iconURL             "/FoamX/icons/small/maths/T.gif";
+    iconURL             "/FoamX/icons/small/maths/T_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/U.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/U.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/U.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/U.cfg	2006-12-02 21:04:58.918712000 +0900
@@ -10,7 +10,7 @@
 {
     include             "asymmetricSparse.cfg";
     description         "Solver for the U equation";
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Usymm.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Usymm.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Usymm.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Usymm.cfg	2006-12-02 21:05:04.947380000 +0900
@@ -10,7 +10,7 @@
 {
     include             "symmetricSparse.cfg";
     description         "Solver for the U equation";
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Vfinancial.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Vfinancial.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Vfinancial.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Vfinancial.cfg	2006-12-02 21:06:22.619067000 +0900
@@ -10,7 +10,7 @@
 {
     include             "asymmetricSparse.cfg";
     description         "Solver for the V equation";
-    iconURL             "/FoamX/icons/small/maths/V.gif";
+    iconURL             "/FoamX/icons/small/maths/V_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Xi.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Xi.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Xi.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/Xi.cfg	2006-12-02 21:07:15.214696000 +0900
@@ -10,7 +10,7 @@
 {
     include             "asymmetricSparse.cfg";
     description         "Solver for the Xi equation";
-    iconURL             "/FoamX/icons/small/maths/Xi.gif";
+    iconURL             "/FoamX/icons/small/maths/Xi_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/motionU.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/motionU.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/motionU.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/fvSolution/solvers/motionU.cfg	2006-12-02 21:04:52.329236000 +0900
@@ -10,7 +10,7 @@
 {
     include             "symmetricSparse.cfg";
     description         "Solver for the motionU equation";
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/coefficients/Cb.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/coefficients/Cb.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/coefficients/Cb.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/coefficients/Cb.cfg	2006-12-02 20:55:30.711670000 +0900
@@ -10,7 +10,7 @@
 {
     type                scalar;
     description         "Cb";
-    iconURL             "/FoamX/icons/small/maths/Cb.gif";
+    iconURL             "/FoamX/icons/small/maths/Cb_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/coefficients/elasticity.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/coefficients/elasticity.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/coefficients/elasticity.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/coefficients/elasticity.cfg	2006-12-02 20:57:14.881459000 +0900
@@ -10,7 +10,7 @@
 {
     type                scalar;
     description         "elasticity";
-    iconURL             "/FoamX/icons/small/maths/E.gif";
+    iconURL             "/FoamX/icons/small/maths/E_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/interpolationSchemes/T.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/interpolationSchemes/T.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/interpolationSchemes/T.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/interpolationSchemes/T.cfg	2006-12-02 21:03:28.508708000 +0900
@@ -10,7 +10,7 @@
 {
     type                word;
     description         "T interpolation scheme";
-    iconURL             "/FoamX/icons/small/maths/T.gif";
+    iconURL             "/FoamX/icons/small/maths/T_.gif";
     valueList
     (
         cell
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/interpolationSchemes/U.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/interpolationSchemes/U.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/interpolationSchemes/U.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/sprayProperties/interpolationSchemes/U.cfg	2006-12-02 21:05:10.765747000 +0900
@@ -10,7 +10,7 @@
 {
     type                word;
     description         "U interpolation scheme";
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
     valueList
     (
         cell
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/thermodynamicProperties/thermodynamicPropertiesConst.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/thermodynamicProperties/thermodynamicPropertiesConst.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/dictionaries/thermodynamicProperties/thermodynamicPropertiesConst.cfg	2005-08-16 01:49:26.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/dictionaries/thermodynamicProperties/thermodynamicPropertiesConst.cfg	2006-12-02 20:47:11.704132000 +0900
@@ -13,7 +13,7 @@
     entries   
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cv.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/R.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/R_.cfg";
     }
 }
 
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/LESmodels/compressible/wallFunctionCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/LESmodels/compressible/wallFunctionCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/LESmodels/compressible/wallFunctionCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/LESmodels/compressible/wallFunctionCoeffs.cfg	2006-12-02 20:45:48.354281000 +0900
@@ -12,7 +12,7 @@
     description         "Wall function coefficients";
     entries
     {
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/E.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/E_.cfg";
     }
 
     include "defaults/wallFunctionCoeffs.def";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/LESmodels/incompressible/wallFunctionCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/LESmodels/incompressible/wallFunctionCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/LESmodels/incompressible/wallFunctionCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/LESmodels/incompressible/wallFunctionCoeffs.cfg	2006-12-02 20:45:58.699156000 +0900
@@ -12,7 +12,7 @@
     description         "Wall function coefficients";
     entries
     {
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/E.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/E_.cfg";
     }
 
     include "defaults/wallFunctionCoeffs.def";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/A1_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/A1_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/A1_.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/A1_.cfg	2006-12-02 20:50:04.432504000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "A1";
-    iconURL             "/FoamX/icons/small/maths/A1.gif";
+    iconURL             "/FoamX/icons/small/maths/A1_.gif";
 }    
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/A_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/A_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/A_.cfg	2006-03-30 11:35:44.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/A_.cfg	2006-12-02 20:51:03.357233000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "A";
-    iconURL             "/FoamX/icons/small/maths/A.gif";
+    iconURL             "/FoamX/icons/small/maths/A_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/B.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/B.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/B.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/B.cfg	2006-12-02 20:53:03.750350000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "B";
-    iconURL             "/FoamX/icons/small/maths/B.gif";
+    iconURL             "/FoamX/icons/small/maths/B_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C.cfg	2006-12-02 20:54:58.875892000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "C";
-    iconURL             "/FoamX/icons/small/maths/C.gif";
+    iconURL             "/FoamX/icons/small/maths/C_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C1_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C1_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C1_.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C1_.cfg	2006-12-02 20:48:56.725145000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "C1";
-    iconURL             "/FoamX/icons/small/maths/C1.gif";
+    iconURL             "/FoamX/icons/small/maths/C1_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C2_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C2_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C2_.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/C2_.cfg	2006-12-02 20:54:42.262003000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "C2";
-    iconURL             "/FoamX/icons/small/maths/C2.gif";
+    iconURL             "/FoamX/icons/small/maths/C2_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/D.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/D.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/D.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/D.cfg	2006-12-02 20:56:16.056873000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "D";
-    iconURL             "/FoamX/icons/small/maths/D.gif";
+    iconURL             "/FoamX/icons/small/maths/D_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/E_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/E_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/E_.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/E_.cfg	2006-12-02 20:57:26.167688000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "E";
-    iconURL             "/FoamX/icons/small/maths/E.gif";
+    iconURL             "/FoamX/icons/small/maths/E_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/Kappa_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/Kappa_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/Kappa_.cfg	2006-03-30 11:31:11.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/Kappa_.cfg	2006-12-02 20:59:18.539270000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "Kappa";
-    iconURL             "/FoamX/icons/small/maths/Kappa.gif";
+    iconURL             "/FoamX/icons/small/maths/Kappa_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/R_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/R_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/R_.cfg	2005-08-16 01:34:16.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/R_.cfg	2006-12-02 21:01:45.620763000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "R";
-    iconURL             "/FoamX/icons/small/maths/R.gif";
+    iconURL             "/FoamX/icons/small/maths/R_.gif";
     default             R [0 2 -2 -1 0 0 0] 0;
 }
 
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/W.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/W.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/W.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/W.cfg	2006-12-02 21:06:43.549163000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "W";
-    iconURL             "/FoamX/icons/small/maths/W.gif";
+    iconURL             "/FoamX/icons/small/maths/W_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/stress/C.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/stress/C.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/stress/C.cfg	2005-08-15 21:51:08.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/stress/C.cfg	2006-12-02 20:55:06.967528000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "C";
-    iconURL             "/FoamX/icons/small/maths/C.gif";
+    iconURL             "/FoamX/icons/small/maths/C_.gif";
     default             C [0 2 -2 -1 0 0 0] 0.0;
 }
 
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/stress/E.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/stress/E.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/stress/E.cfg	2005-08-15 21:46:31.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/dimensionedScalar/stress/E.cfg	2006-12-02 20:57:33.017537000 +0900
@@ -10,7 +10,7 @@
 {
     type                dimensionedScalar;
     description         "E";
-    iconURL             "/FoamX/icons/small/maths/E.gif";
+    iconURL             "/FoamX/icons/small/maths/E_.gif";
     default             E [1 -1 -2 0 0 0 0] 0.0;
 }
 
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bdynamic.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bdynamic.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bdynamic.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bdynamic.cfg	2006-12-02 20:53:14.465758000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Dynamic SGS stress";
     fieldType           tensor;
-    iconURL             "/FoamX/icons/small/maths/B.gif";
+    iconURL             "/FoamX/icons/small/maths/B_.gif";
     geometryType        vol;
     dimensions          [1 -1 -2 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bkinematic.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bkinematic.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bkinematic.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bkinematic.cfg	2006-12-02 20:53:21.796299000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Kinematic SGS stress";
     fieldType           tensor;
-    iconURL             "/FoamX/icons/small/maths/B.gif";
+    iconURL             "/FoamX/icons/small/maths/B_.gif";
     geometryType        vol;
     dimensions          [0 2 -2 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bsgs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bsgs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bsgs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Bsgs.cfg	2006-12-02 20:53:41.324379000 +0900
@@ -10,7 +10,7 @@
 {
     description         "SGS stress";
     fieldType           vector;
-    iconURL             "/FoamX/icons/small/maths/B.gif";
+    iconURL             "/FoamX/icons/small/maths/B_.gif";
     geometryType        vol;
     dimensions          [1 -1 -2 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Rdynamic.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Rdynamic.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Rdynamic.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Rdynamic.cfg	2006-12-02 21:01:53.722412000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Dynamic Reynolds stress tensor (for RSTMs)";
     fieldType           tensor;
-    iconURL             "/FoamX/icons/small/maths/R.gif";
+    iconURL             "/FoamX/icons/small/maths/R_.gif";
     geometryType        vol;
     dimensions          [1 -1 -2 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Rkinematic.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Rkinematic.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Rkinematic.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Rkinematic.cfg	2006-12-02 21:02:00.672406000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Kinematic Reynolds stress tensor (for RSTMs)";
     fieldType           tensor;
-    iconURL             "/FoamX/icons/small/maths/R.gif";
+    iconURL             "/FoamX/icons/small/maths/R_.gif";
     geometryType        vol;
     dimensions          [0 2 -2 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/T.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/T.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/T.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/T.cfg	2006-12-02 21:03:34.116772000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Temperature Field";
     fieldType           scalar;
-    iconURL             "/FoamX/icons/small/maths/T.gif";
+    iconURL             "/FoamX/icons/small/maths/T_.gif";
     geometryType        vol;
     dimensions          [ 0 0 0 1 0 0 0 ];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Tdimless.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Tdimless.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Tdimless.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Tdimless.cfg	2006-12-02 21:03:44.311432000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Temperature Field";
     fieldType           scalar;
-    iconURL             "/FoamX/icons/small/maths/T.gif";
+    iconURL             "/FoamX/icons/small/maths/T_.gif";
     geometryType        vol;
     dimensions          [ 0 0 0 0 0 0 0 ];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/U.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/U.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/U.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/U.cfg	2006-12-02 21:05:40.127968000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Velocity Field";
     fieldType           vector;
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
     geometryType        vol;
     dimensions          [0 1 -1 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Vfinancial.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Vfinancial.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Vfinancial.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Vfinancial.cfg	2006-12-02 21:06:26.935273000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Value";
     fieldType           scalar;
-    iconURL             "/FoamX/icons/small/maths/V.gif";
+    iconURL             "/FoamX/icons/small/maths/V_.gif";
     geometryType        vol;
     dimensions          [ 0 1 0 0 0 0 0 ];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Xi.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Xi.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Xi.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/Xi.cfg	2006-12-02 21:07:20.622472000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Xi field";
     fieldType           scalar;
-    iconURL             "/FoamX/icons/small/maths/Xi.gif";
+    iconURL             "/FoamX/icons/small/maths/Xi_.gif";
     geometryType        vol;
     dimensions          [ 0 0 0 0 0 0 0 ];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/displacement.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/displacement.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/displacement.cfg	2005-08-15 19:39:53.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/displacement.cfg	2006-12-02 21:05:17.885985000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Displacement Field";
     fieldType           vector;
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
     geometryType        vol;
     dimensions          [0 1 0 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/electromagnetics/B.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/electromagnetics/B.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/electromagnetics/B.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/electromagnetics/B.cfg	2006-12-02 20:53:49.866662000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Magnetic flux density field";
     fieldType           vector;
-    iconURL             "/FoamX/icons/small/maths/B.gif";
+    iconURL             "/FoamX/icons/small/maths/B_.gif";
     geometryType        vol;
     dimensions          [1 0 -2 0 0 -1 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/motionU.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/motionU.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/motionU.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/motionU.cfg	2006-12-02 21:05:23.413934000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Geometry motion velocity";
     fieldType           vector;
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
     geometryType        tetPoint;
     dimensions          [0 1 -1 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/pointU.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/pointU.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/pointU.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/geometricFields/pointU.cfg	2006-12-02 21:05:33.518464000 +0900
@@ -10,7 +10,7 @@
 {
     description         "Motion Velocity Field";
     fieldType           vector;
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
     geometryType        tetPoint;
     dimensions          [0 1 -1 0 0 0 0];
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar/cGamma.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar/cGamma.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar/cGamma.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar/cGamma.cfg	2006-12-02 21:07:52.207889000 +0900
@@ -10,7 +10,7 @@
 {
     type                scalar;
     description         "Interface compression factor (0.0 = no comp; 1.0 = conservative; >1 super compressed)";
-    iconURL             "/FoamX/icons/small/maths/cGamma.gif";
+    iconURL             "/FoamX/icons/small/maths/cGamma_.gif";
     minValue            0;
     maxValue            2;
 }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/Alpha_.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/Alpha_.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/Alpha_.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/Alpha_.cfg	2006-12-02 20:51:40.290340000 +0900
@@ -10,7 +10,7 @@
 {
     type                scalar01;
     description         "Alpha";
-    iconURL             "/FoamX/icons/small/maths/Alpha.gif";
+    iconURL             "/FoamX/icons/small/maths/Alpha_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/R.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/R.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/R.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/R.cfg	2006-12-02 21:02:08.533710000 +0900
@@ -10,7 +10,7 @@
 {
     type                scalar01;
     description         "R";
-    iconURL             "/FoamX/icons/small/maths/R.gif";
+    iconURL             "/FoamX/icons/small/maths/R_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/T.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/T.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/T.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/T.cfg	2006-12-02 21:03:53.664881000 +0900
@@ -10,7 +10,7 @@
 {
     type                scalar01;
     description         "T";
-    iconURL             "/FoamX/icons/small/maths/T.gif";
+    iconURL             "/FoamX/icons/small/maths/T_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/U.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/U.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/U.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/U.cfg	2006-12-02 21:05:45.645902000 +0900
@@ -10,7 +10,7 @@
 {
     type                scalar01;
     description         "U";
-    iconURL             "/FoamX/icons/small/maths/U.gif";
+    iconURL             "/FoamX/icons/small/maths/U_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/X.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/X.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/X.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/scalar01/X.cfg	2006-12-02 21:06:58.871195000 +0900
@@ -10,7 +10,7 @@
 {
     type                scalar01;
     description         "X";
-    iconURL             "/FoamX/icons/small/maths/X.gif";
+    iconURL             "/FoamX/icons/small/maths/X_.gif";
 }
 
 // ************************************************************************* //
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LRRCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LRRCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LRRCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LRRCoeffs.cfg	2006-12-02 20:43:22.184099000 +0900
@@ -15,8 +15,8 @@
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Clrr1.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Clrr2.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cs.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Ceps.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphah.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LaunderGibsonRSTMCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LaunderGibsonRSTMCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LaunderGibsonRSTMCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LaunderGibsonRSTMCoeffs.cfg	2006-12-02 20:43:05.910699000 +0900
@@ -15,8 +15,8 @@
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Clg1.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Clg2.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/C1Ref.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/C2Ref.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cs.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LaunderSharmaKECoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LaunderSharmaKECoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LaunderSharmaKECoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/LaunderSharmaKECoeffs.cfg	2006-12-02 20:43:16.576035000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/C3.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphah.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/RNGkEpsilonCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/RNGkEpsilonCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/RNGkEpsilonCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/RNGkEpsilonCoeffs.cfg	2006-12-02 20:43:27.822206000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/C3.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphah.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/kEpsilonCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/kEpsilonCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/kEpsilonCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/kEpsilonCoeffs.cfg	2006-12-02 20:42:36.408276000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/C3.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphah.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/wallFunctionCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/wallFunctionCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/wallFunctionCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/compressible/wallFunctionCoeffs.cfg	2006-12-02 20:46:09.604838000 +0900
@@ -13,7 +13,7 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/kappa.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/E.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/E_.cfg";
     }
 
     include "defaults/wallFunctionCoeffs.def";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LRRCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LRRCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LRRCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LRRCoeffs.cfg	2006-12-02 20:44:27.708318000 +0900
@@ -15,8 +15,8 @@
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Clrr1.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Clrr2.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cs.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Ceps.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LamBremhorstKECoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LamBremhorstKECoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LamBremhorstKECoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LamBremhorstKECoeffs.cfg	2006-12-02 20:44:03.593643000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
     }
 
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LaunderGibsonRSTMCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LaunderGibsonRSTMCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LaunderGibsonRSTMCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LaunderGibsonRSTMCoeffs.cfg	2006-12-02 20:44:09.742484000 +0900
@@ -15,8 +15,8 @@
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Clg1.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Clg2.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/C1Ref.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/C2Ref.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cs.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LaunderSharmaKECoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LaunderSharmaKECoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LaunderSharmaKECoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LaunderSharmaKECoeffs.cfg	2006-12-02 20:44:14.779728000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
     }
 
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienCubicKECoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienCubicKECoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienCubicKECoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienCubicKECoeffs.cfg	2006-12-02 20:39:38.161971000 +0900
@@ -12,11 +12,11 @@
     description         "Lien non-Linear cubic k-epsilon model coefficients";
     entries
     {
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/A1.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/A1_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/A2.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Ctau1.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Ctau2.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienCubicKELowReCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienCubicKELowReCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienCubicKELowReCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienCubicKELowReCoeffs.cfg	2006-12-02 20:40:02.076358000 +0900
@@ -13,11 +13,11 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/A1.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/A1_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/A2.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Ctau1.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Ctau2.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienLeschzinerLowReCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienLeschzinerLowReCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienLeschzinerLowReCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/LienLeschzinerLowReCoeffs.cfg	2006-12-02 20:44:19.095934000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Am.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/NonlinearKEShihCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/NonlinearKEShihCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/NonlinearKEShihCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/NonlinearKEShihCoeffs.cfg	2006-12-02 20:40:28.113798000 +0900
@@ -13,11 +13,11 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/A1.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/A1_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/A2.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Ctau1.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Ctau2.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/QZetaCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/QZetaCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/QZetaCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/QZetaCoeffs.cfg	2006-12-02 20:44:33.256296000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaZeta.cfg";
         include "$FOAMX_CONFIG/entries/Switch/anisotropic.cfg";
     }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/RNGkEpsilonCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/RNGkEpsilonCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/RNGkEpsilonCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/RNGkEpsilonCoeffs.cfg	2006-12-02 20:44:41.087556000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/eta0.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffs.cfg	2006-12-02 20:43:40.119889000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
     }
 
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffsWithAlphak.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffsWithAlphak.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffsWithAlphak.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffsWithAlphak.cfg	2006-12-02 20:43:46.529105000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
     }
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffsWithC3.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffsWithC3.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffsWithC3.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/kEpsilonCoeffsWithC3.cfg	2006-12-02 20:43:56.323188000 +0900
@@ -13,8 +13,8 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/Cmu.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C1_.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/C2_.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/C3.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphak.cfg";
         include "$FOAMX_CONFIG/entries/dimensionedScalar/alphaEps.cfg";
diff -Nru OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/wallFunctionCoeffs.cfg OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/wallFunctionCoeffs.cfg
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/wallFunctionCoeffs.cfg	2005-05-04 00:09:25.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/FoamX/entries/turbulenceModels/incompressible/wallFunctionCoeffs.cfg	2006-12-02 20:46:15.523348000 +0900
@@ -13,7 +13,7 @@
     entries
     {
         include "$FOAMX_CONFIG/entries/dimensionedScalar/kappa.cfg";
-        include "$FOAMX_CONFIG/entries/dimensionedScalar/E.cfg";
+        include "$FOAMX_CONFIG/entries/dimensionedScalar/E_.cfg";
     }
 
     include "defaults/wallFunctionCoeffs.def";
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/paraview/bashrc	2006-03-06 20:47:34.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/paraview/bashrc	2007-02-24 16:31:05.759747200 +0900
@@ -44,20 +44,33 @@
     export PATH=$PATH:$CMAKE_HOME/bin
 fi
 
-export ParaView_VERSION=2.4.2
+if [ $WM_ARCH = "cygwin" ]; then
+    export ParaView_VERSION=2.6
 
-export ParaView_INST_DIR=$WM_PROJECT_INST_DIR/$WM_ARCH/paraview-$ParaView_VERSION
-export ParaView_DIR=$ParaView_INST_DIR/lib/paraview-2.4
+    export ParaView_INST_DIR="/cygdrive/c/Program Files/ParaView $ParaView_VERSION"
 
-if [ -r $ParaView_INST_DIR ]; then
-    export PV_INTERFACE_PATH=$FOAM_UTILITIES/postProcessing/graphics/PVFoamReader/PVFoamReader/Make
+    if [ -r "$ParaView_INST_DIR" ]; then
+	export PATH=$ParaView_INST_DIR/bin:$PATH
+    fi
+else
+    export ParaView_VERSION=2.4.2
+
+    export ParaView_INST_DIR=$WM_PROJECT_INST_DIR/$WM_ARCH/paraview-$ParaView_VERSION
+    export ParaView_DIR=$ParaView_INST_DIR/lib/paraview-2.4
+
+    if [ -r $ParaView_INST_DIR ]; then
+	export PV_INTERFACE_PATH=$FOAM_UTILITIES/postProcessing/graphics/PVFoamReader/PVFoamReader/Make
+
+	export PATH=$PATH:$ParaView_INST_DIR/bin
+#    export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${ParaView_INST_DIR}/lib:${ParaView_INST_DIR}/lib/vtk
+	export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${ParaView_INST_DIR}/lib:${ParaView_DIR}:${ParaView_INST_DIR}/bin
+    fi
+
+    if [ -r $ParaView_DIR ]; then
+#    export VTK_DIR=$ParaView_DIR/VTK
+	export VTK_DIR=$ParaView_DIR
+    fi
 
-    export PATH=$PATH:$ParaView_INST_DIR/bin
-    export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${ParaView_INST_DIR}/lib:${ParaView_INST_DIR}/lib/vtk
-fi
-
-if [ -r $ParaView_DIR ]; then
-    export VTK_DIR=$ParaView_DIR/VTK
 fi
 
 # -----------------------------------------------------------------------------
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/apps/paraview/cshrc	2006-03-06 19:32:15.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/apps/paraview/cshrc	2007-02-26 22:33:38.889480000 +0900
@@ -40,24 +40,30 @@
 
 setenv CMAKE_HOME $WM_PROJECT_INST_DIR/$WM_ARCH/cmake-2.0.3
 
-if ( -r $CMAKE_HOME ) then
-    set path=($path $CMAKE_HOME/bin )
-endif
-
-setenv ParaView_VERSION 2.4.2
-
-setenv ParaView_INST_DIR $WM_PROJECT_INST_DIR/$WM_ARCH/paraview-$ParaView_VERSION
-setenv ParaView_DIR $ParaView_INST_DIR/lib/paraview-2.4
-
-if ( -r $ParaView_INST_DIR ) then
-    setenv PV_INTERFACE_PATH $FOAM_UTILITIES/postProcessing/graphics/PVFoamReader/PVFoamReader/Make
-
-    set path=($path $ParaView_INST_DIR/bin )
-    setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${ParaView_INST_DIR}/lib:${ParaView_INST_DIR}/lib/vtk
-endif
-
-if ( -r $ParaView_DIR ) then
-    setenv VTK_DIR $ParaView_DIR/VTK
+if($WM_ARCH == cygwin) then
+    setenv ParaView_VERSION 2.6
+    setenv ParaView_INST_DIR "/cygdrive/c/Program\0040Files/ParaView\0040$ParaView_VERSION"
+    set path=("$ParaView_INST_DIR/bin" $path)
+else
+    if ( -r $CMAKE_HOME ) then
+	set path=($path $CMAKE_HOME/bin )
+    endif
+
+    setenv ParaView_VERSION 2.4.2
+
+    setenv ParaView_INST_DIR $WM_PROJECT_INST_DIR/$WM_ARCH/paraview-$ParaView_VERSION
+    setenv ParaView_DIR $ParaView_INST_DIR/lib/paraview-2.4
+
+    if ( -r $ParaView_INST_DIR ) then
+	setenv PV_INTERFACE_PATH $FOAM_UTILITIES/postProcessing/graphics/PVFoamReader/PVFoamReader/Make
+
+	set path=($path $ParaView_INST_DIR/bin )
+	setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${ParaView_INST_DIR}/lib:${ParaView_INST_DIR}/lib/vtk
+    endif
+
+    if ( -r $ParaView_DIR ) then
+	setenv VTK_DIR $ParaView_DIR/VTK
+    endif
 endif
 
 # -----------------------------------------------------------------------------
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/controlDict	2006-03-29 16:12:19.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/controlDict	2006-10-31 16:58:21.359521000 +0900
@@ -43,8 +43,10 @@
     "$FOAM_RUN/tutorials/engineFoam"
     "$FOAM_RUN/tutorials/financialFoam"
     "$FOAM_RUN/tutorials/icoFoam"
-    "$FOAM_RUN/tutorials/icoTopoFoam"
-    "$FOAM_RUN/tutorials/icoFoamAutoMotion"
+// suppressing warning in FoamXCaseBrowser
+// (see http://openfoam.cfd-online.com/forum/messages/1/2725.html)
+//    "$FOAM_RUN/tutorials/icoTopoFoam"
+//    "$FOAM_RUN/tutorials/icoFoamAutoMotion"
     "$FOAM_RUN/tutorials/interFoam"
     "$FOAM_RUN/tutorials/laplacianFoam"
     "$FOAM_RUN/tutorials/lesInterFoam"
--- OpenFOAM-1.3.orig/.OpenFOAM-1.3/cshrc	2006-04-05 06:56:21.000000000 +0900
+++ OpenFOAM-1.3/.OpenFOAM-1.3/cshrc	2007-02-26 22:59:12.474667200 +0900
@@ -230,11 +230,28 @@
 # Again clean environment (path, PATH, MANPATH, LD_LIBRARY_PATH)
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-#- Clean path/PATH. Only remove duplicates
-set colonPath=`echo "$path" | sed -e 's/ /:/g'`
-set PATH=`$cleanProg "$colonPath"`
-if ( $status == 0 ) then
-    set path=`echo "$PATH" | sed -e 's/:/ /g'`
+if ($WM_ARCH == cygwin) then
+    # No cleaning of path is performed on Cygwin
+    # (workaround for path components with whitespaces)
+    set colonPath=''
+    foreach pathI ($path)
+	set colonPath="${colonPath}:`echo $pathI | sed -e 's/\0040/ /g'`"
+    end
+
+    set PATH="$colonPath"
+
+    set i = 1
+    while ($i <= $#path)
+	set path[$i]="`echo $path[$i] | sed -e 's/\0040/ /g'`"
+	@ i++
+    end
+else
+    #- Clean path/PATH. Only remove duplicates
+    set colonPath=`echo "$path" | sed -e 's/ /:/g'`
+    set PATH=`$cleanProg "$colonPath"`
+    if ( $status == 0 ) then
+	set path=`echo "$PATH" | sed -e 's/:/ /g'`
+    endif
 endif
 
 #- Clean LD_LIBRARY_PATH
--- OpenFOAM-1.3.orig/.bashrc	2006-04-05 06:56:21.000000000 +0900
+++ OpenFOAM-1.3/.bashrc	2007-02-24 10:58:30.655716800 +0900
@@ -151,7 +151,8 @@
 # ~~~~~~~~~~~~~~~~~~
 elif [ `uname -s | sed -e '/CYGWIN*/c\Cygwin'` = "Cygwin" ]; then
 
-    export JAVA_HOME=/cygdrive/c/WINNT/system32
+#    export JAVA_HOME=/cygdrive/c/WINNT/system32
+    export JAVA_HOME="/cygdrive/c/Program Files/Java/jdk1.6.0"
 
 # An unsupported operating system
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -174,7 +175,8 @@
 
 # MICO
 # ~~~~
-export MICO_VERSION=2.3.11
+#export MICO_VERSION=2.3.11
+export MICO_VERSION=2.3.12
 export MICO_PATH=$FOAM_SRC/mico-$MICO_VERSION
 export MICO_ARCH_PATH=$MICO_PATH/platforms/$WM_OPTIONS
 export PATH=$MICO_ARCH_PATH/bin:$PATH
--- OpenFOAM-1.3.orig/.cshrc	2006-04-05 06:56:21.000000000 +0900
+++ OpenFOAM-1.3/.cshrc	2007-02-26 22:40:21.288100800 +0900
@@ -151,7 +151,8 @@
 # ~~~~~~~~~~~~~~~~~~
 else if (`uname -s | sed -e '/CYGWIN*/c\Cygwin'` == Cygwin) then
 
-    setenv JAVA_HOME /cygdrive/c/WINNT/system32
+#    setenv JAVA_HOME /cygdrive/c/WINNT/system32
+    setenv JAVA_HOME "/cygdrive/c/Program Files/Java/jdk1.6.0"
 
 # An unsupported operating system
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -166,20 +167,20 @@
 
 endif
 
-setenv JAVA_ROOT $JAVA_HOME
-setenv JAVA_PATH $JAVA_HOME
-set path=($JAVA_PATH/bin $path)
+setenv JAVA_ROOT "$JAVA_HOME"
+setenv JAVA_PATH "$JAVA_HOME"
+set path=("$JAVA_HOME/bin" $path)
 setenv CLASSPATH .
 
 
 # MICO
 # ~~~~
-setenv MICO_VERSION 2.3.11
+#setenv MICO_VERSION 2.3.11
+setenv MICO_VERSION 2.3.12
 setenv MICO_PATH $FOAM_SRC/mico-$MICO_VERSION
 setenv MICO_ARCH_PATH $MICO_PATH/platforms/$WM_OPTIONS
 set path=($MICO_ARCH_PATH/bin $path)
 
-
 # FoamX
 # ~~~~~
 setenv FOAMX_PATH $FOAM_UTILITIES/preProcessing/FoamX
diff -Nru OpenFOAM-1.3.orig/applications/solvers/DNSandLES/channelOodles/FoamX/fvSolution.cfg OpenFOAM-1.3/applications/solvers/DNSandLES/channelOodles/FoamX/fvSolution.cfg
--- OpenFOAM-1.3.orig/applications/solvers/DNSandLES/channelOodles/FoamX/fvSolution.cfg	2005-08-17 20:32:18.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/DNSandLES/channelOodles/FoamX/fvSolution.cfg	2006-12-02 21:46:12.155051000 +0900
@@ -18,7 +18,7 @@
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/pSymm.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/U.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/k.cfg";
-            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B.cfg";
+            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B_.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/nuTilda.cfg";
         }
     }
diff -Nru OpenFOAM-1.3.orig/applications/solvers/DNSandLES/coodles/FoamX/fvSolution.cfg OpenFOAM-1.3/applications/solvers/DNSandLES/coodles/FoamX/fvSolution.cfg
--- OpenFOAM-1.3.orig/applications/solvers/DNSandLES/coodles/FoamX/fvSolution.cfg	2005-08-17 18:31:40.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/DNSandLES/coodles/FoamX/fvSolution.cfg	2006-12-02 21:48:31.024736000 +0900
@@ -20,7 +20,7 @@
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/pSymm.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/U.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/k.cfg";
-            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B.cfg";
+            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B_.cfg";
         }
     }
 
diff -Nru OpenFOAM-1.3.orig/applications/solvers/DNSandLES/oodles/FoamX/fvSolution.cfg OpenFOAM-1.3/applications/solvers/DNSandLES/oodles/FoamX/fvSolution.cfg
--- OpenFOAM-1.3.orig/applications/solvers/DNSandLES/oodles/FoamX/fvSolution.cfg	2005-08-17 01:32:52.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/DNSandLES/oodles/FoamX/fvSolution.cfg	2006-12-02 21:49:16.209708000 +0900
@@ -18,7 +18,7 @@
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/pSymm.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/U.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/k.cfg";
-            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B.cfg";
+            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B_.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/nuTilda.cfg";
         }
     }
diff -Nru OpenFOAM-1.3.orig/applications/solvers/combustion/XiFoam/FoamX/fvSchemes/laplacianSchemes.cfg OpenFOAM-1.3/applications/solvers/combustion/XiFoam/FoamX/fvSchemes/laplacianSchemes.cfg
--- OpenFOAM-1.3.orig/applications/solvers/combustion/XiFoam/FoamX/fvSchemes/laplacianSchemes.cfg	2005-03-25 04:50:48.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/combustion/XiFoam/FoamX/fvSchemes/laplacianSchemes.cfg	2006-12-02 21:54:57.770849000 +0900
@@ -18,7 +18,7 @@
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/DREffR.cfg";
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/rhoAUp.cfg";
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/muEffb.cfg";
-        include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/muEffFt.cfg";
+        include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/muEffFt_.cfg";
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/alphaEffh.cfg";
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/alphaEffhu.cfg";
     }
diff -Nru OpenFOAM-1.3.orig/applications/solvers/combustion/Xoodles/FoamX/fvSchemes/laplacianSchemes.cfg OpenFOAM-1.3/applications/solvers/combustion/Xoodles/FoamX/fvSchemes/laplacianSchemes.cfg
--- OpenFOAM-1.3.orig/applications/solvers/combustion/Xoodles/FoamX/fvSchemes/laplacianSchemes.cfg	2005-03-25 04:50:49.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/combustion/Xoodles/FoamX/fvSchemes/laplacianSchemes.cfg	2006-12-02 21:55:59.189164000 +0900
@@ -17,7 +17,7 @@
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/DBEffB.cfg";
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/rhoAUp.cfg";
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/muEffb.cfg";
-        include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/muEffFt.cfg";
+        include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/muEffFt_.cfg";
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/alphaEffh.cfg";
         include "$FOAMX_CONFIG/dictionaries/fvSchemes/laplacian/alphaEffhu.cfg";
     }
diff -Nru OpenFOAM-1.3.orig/applications/solvers/electromagnetics/mhdFoam/FoamX/defaults/system/fvSchemes OpenFOAM-1.3/applications/solvers/electromagnetics/mhdFoam/FoamX/defaults/system/fvSchemes
--- OpenFOAM-1.3.orig/applications/solvers/electromagnetics/mhdFoam/FoamX/defaults/system/fvSchemes	2005-08-18 04:39:40.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/electromagnetics/mhdFoam/FoamX/defaults/system/fvSchemes	2006-12-02 22:32:12.874771000 +0900
@@ -40,7 +40,7 @@
     div(phi,U)      Gauss <>;
     div(phiB,U)     Gauss <>;
     div(phi,B)      Gauss <>;
-    div(phiB,(2*DBU*B)) Gauss <>;
+    div(phiB,((2*DBU)*B)) Gauss <>;
 }
 
 laplacianSchemes
diff -Nru OpenFOAM-1.3.orig/applications/solvers/electromagnetics/mhdFoam/FoamX/fvSolution.cfg OpenFOAM-1.3/applications/solvers/electromagnetics/mhdFoam/FoamX/fvSolution.cfg
--- OpenFOAM-1.3.orig/applications/solvers/electromagnetics/mhdFoam/FoamX/fvSolution.cfg	2005-08-17 00:05:49.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/electromagnetics/mhdFoam/FoamX/fvSolution.cfg	2006-12-02 21:50:26.310508000 +0900
@@ -17,7 +17,7 @@
         {
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/pSymm.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/U.cfg";
-            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B.cfg";
+            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B_.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/pB.cfg";
         }
     }
diff -Nru OpenFOAM-1.3.orig/applications/solvers/multiphase/lesInterFoam/FoamX/fvSolution.cfg OpenFOAM-1.3/applications/solvers/multiphase/lesInterFoam/FoamX/fvSolution.cfg
--- OpenFOAM-1.3.orig/applications/solvers/multiphase/lesInterFoam/FoamX/fvSolution.cfg	2005-08-17 00:37:25.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/multiphase/lesInterFoam/FoamX/fvSolution.cfg	2006-12-02 21:51:24.163697000 +0900
@@ -20,7 +20,7 @@
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/gamma.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/U.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/k.cfg";
-            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B.cfg";
+            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/B_.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/nuTilda.cfg";
         }
     }
diff -Nru OpenFOAM-1.3.orig/applications/solvers/multiphase/settlingFoam/FoamX/fvSolution.cfg OpenFOAM-1.3/applications/solvers/multiphase/settlingFoam/FoamX/fvSolution.cfg
--- OpenFOAM-1.3.orig/applications/solvers/multiphase/settlingFoam/FoamX/fvSolution.cfg	2005-08-17 22:15:47.000000000 +0900
+++ OpenFOAM-1.3/applications/solvers/multiphase/settlingFoam/FoamX/fvSolution.cfg	2006-12-02 21:52:26.523366000 +0900
@@ -20,7 +20,7 @@
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/k.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/epsilon.cfg";
             include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/rho.cfg";
-            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/Alpha.cfg";
+            include "$FOAMX_CONFIG/dictionaries/fvSolution/solvers/Alpha_.cfg";
         }
     }
 
--- OpenFOAM-1.3.orig/applications/utilities/mesh/conversion/gmshToFoam/gmshToFoam.C	2006-03-30 17:53:18.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/mesh/conversion/gmshToFoam/gmshToFoam.C	2007-02-24 20:04:01.660590400 +0900
@@ -236,7 +236,7 @@
 
     word tag(inFile);
 
-    if (tag != "$NOD")
+    if (tag != "$NOD" && tag != "$NOD\r")
     {
         FatalErrorIn(args.executable())
             << "Did not find $NOD tag on line " << inFile.lineNumber()
@@ -270,7 +270,7 @@
     }
     inFile >> tag;
 
-    if (tag != "$ENDNOD")
+    if (tag != "$ENDNOD" && tag != "$ENDNOD\r")
     {
         FatalErrorIn(args.executable())
             << "Did not find $ENDNOD tag on line " << inFile.lineNumber()
@@ -279,7 +279,7 @@
 
     inFile >> tag;
 
-    if (tag != "$ELM")
+    if (tag != "$ELM" && tag != "$ELM\r")
     {
         FatalErrorIn(args.executable())
             << "Did not find $ELM tag on line " << inFile.lineNumber()
--- OpenFOAM-1.3.orig/applications/utilities/mesh/manipulation/patchTool/C++/FoamXServer/Make/orbOptions	2003-08-28 01:11:43.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/mesh/manipulation/patchTool/C++/FoamXServer/Make/orbOptions	2007-02-24 14:03:43.044547200 +0900
@@ -23,6 +23,11 @@
     ORB_SYS_INC = 
     ORB_SYS_LIB = -ldl
 
+#elif defined(cygwin)
+
+    ORB_SYS_INC = 
+    ORB_SYS_LIB = 
+
 #else
 
 #   error architecture not supported for compiling FoamX
--- OpenFOAM-1.3.orig/applications/utilities/mesh/manipulation/patchTool/C++/PatchToolServer/Make/orbOptions	2003-08-28 17:37:05.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/mesh/manipulation/patchTool/C++/PatchToolServer/Make/orbOptions	2007-02-24 13:47:03.987974400 +0900
@@ -23,6 +23,12 @@
     ORB_SYS_INC = 
     ORB_SYS_LIB = -ldl
 
+#elif defined(cygwin)
+
+    ORB_SYS_INC = 
+//    ORB_SYS_LIB = -lssl -lcrypto
+    ORB_SYS_LIB = `grep 'define HAVE_LIBSSL 1' $(MICO_ARCH_PATH)/include/mico/config.h > /dev/null && echo -lssl -lcrypto`
+
 #else
 
 #   error architecture not supported for compiling FoamX
--- OpenFOAM-1.3.orig/applications/utilities/mesh/manipulation/patchTool/Java/Make/options	2004-03-23 21:42:24.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/mesh/manipulation/patchTool/Java/Make/options	2007-02-24 14:35:22.826299200 +0900
@@ -1,6 +1,10 @@
 /* EXE_INC = ../lib/j3d-org.jar */
 
+#if defined(cygwin)
+EXE_INC = -classpath ".;Make/classes;../lib/j3d-org.jar"
+#else
 EXE_INC = -classpath ".:Make/classes:../lib/j3d-org.jar"
+#endif
 
 LIB_LIBS = META-INF/MANIFEST.MF
 
--- OpenFOAM-1.3.orig/applications/utilities/miscellaneous/foamDebugSwitches/Make/options	2005-12-13 01:57:01.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/miscellaneous/foamDebugSwitches/Make/options	2007-02-24 20:45:13.905504000 +0900
@@ -1,8 +1,14 @@
 #include "../../../preProcessing/FoamX/C++/FoamXLib/Make/orbOptions"
 
+#if defined(cygwin)
+LIBGL_PATH = -L/usr/X11R6/lib
+#else
+LIBGL_PATH =
+#endif
+
 EXE_LIBS = \
     -lFoamX -lFoamXServer $(ORB_LIBS) \
-    -lGstream -lGL \
+    -lGstream $(LIBGL_PATH) -lGL \
     -lLESfilters \
     -lODE \
     -lcompressibleLESmodels \
--- OpenFOAM-1.3.orig/applications/utilities/postProcessing/dataConversion/foamToVTK/FoamX/foamToVTK.cfg	1970-01-01 09:00:00.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/postProcessing/dataConversion/foamToVTK/FoamX/foamToVTK.cfg	2006-12-03 20:33:48.098792000 +0900
@@ -0,0 +1,27 @@
+/*---------------------------------------------------------------------------*\
+| =========                 |                                                 |
+| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
+|  \\    /   O peration     | Version:  1.0                                   |
+|   \\  /    A nd           | Web:      http://www.openfoam.org               |
+|    \\/     M anipulation  |                                                 |
+\*---------------------------------------------------------------------------*/
+// foamToVTK tool definition
+
+description     "Converts OpenFOAM output to VTK format";
+
+foamToVTKDict
+{
+    type            dictionary;
+    description     "foamToVTK control dictionary";
+    dictionaryPath  "system";
+
+    entries
+    {
+        arguments
+        {
+            type        rootCaseArguments;
+        }
+    }
+}
+
+// ************************************************************************* //
--- OpenFOAM-1.3.orig/applications/utilities/preProcessing/FoamX/C++/FoamXLib/DimensionSet.C	2005-06-22 21:33:40.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/preProcessing/FoamX/C++/FoamXLib/DimensionSet.C	2006-10-31 16:58:21.069104000 +0900
@@ -24,7 +24,7 @@
 
 \*---------------------------------------------------------------------------*/
 
-#include "DimensionSet.H"
+#include "DimensionSet_.H"
 
 // Namespaces
 #include "FoamXNameSpaces.H"
--- OpenFOAM-1.3.orig/applications/utilities/preProcessing/FoamX/C++/FoamXLib/FoamXAny.C	2005-06-22 21:33:39.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/preProcessing/FoamX/C++/FoamXLib/FoamXAny.C	2006-10-31 16:58:21.079118000 +0900
@@ -30,7 +30,7 @@
 // FoamX header files.
 #include "FoamXAny.H"
 #include "FoamXTypes.H"
-#include "DimensionSet.H"
+#include "DimensionSet_.H"
 
 // Namespaces
 #include "FoamXNameSpaces.H"
--- OpenFOAM-1.3.orig/applications/utilities/preProcessing/FoamX/C++/FoamXLib/IGeometricFieldDescriptorImpl.C	2005-06-22 21:33:40.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/preProcessing/FoamX/C++/FoamXLib/IGeometricFieldDescriptorImpl.C	2006-10-31 16:58:21.079118000 +0900
@@ -30,7 +30,7 @@
 #include "IGeometricFieldDescriptorImpl.H"
 #include "ITypeDescriptorImpl.H"
 #include "IGeometryDescriptorImpl.H"
-#include "DimensionSet.H"
+#include "DimensionSet_.H"
 #include "LogEntry.H"
 #include "Paths.H"
 
--- OpenFOAM-1.3.orig/applications/utilities/preProcessing/FoamX/C++/FoamXLib/ITypeDescriptorImpl.C	2005-08-17 18:35:37.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/preProcessing/FoamX/C++/FoamXLib/ITypeDescriptorImpl.C	2006-10-31 16:58:21.089132000 +0900
@@ -39,6 +39,11 @@
 // Namespaces
 #include "FoamXNameSpaces.H"
 
+// ulong is typedef'ed in <sys/types.h> on linux but not on cygwin.
+#ifdef cygwin
+typedef unsigned long int ulong;
+#endif
+
 // * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
 
 FoamX::ITypeDescriptorImpl::ITypeDescriptorImpl
--- OpenFOAM-1.3.orig/applications/utilities/preProcessing/FoamX/C++/FoamXLib/Make/orbOptions	2005-01-18 00:46:05.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/preProcessing/FoamX/C++/FoamXLib/Make/orbOptions	2007-02-24 14:06:10.386414400 +0900
@@ -28,6 +28,12 @@
     ORB_SYS_INC = 
     ORB_SYS_LIB = 
 
+#elif defined(cygwin)
+
+    ORB_INC = 
+//    ORB_LIB = -lssl -lcrypto
+    ORB_SYS_LIB = `grep 'define HAVE_LIBSSL 1' $(MICO_ARCH_PATH)/include/mico/config.h > /dev/null && echo -lssl -lcrypto`
+
 #else
 
 #   error architecture not supported for compiling FoamX
--- OpenFOAM-1.3.orig/applications/utilities/preProcessing/FoamX/Java/FoamX/Util/FileEditor.java	2005-06-22 21:53:03.000000000 +0900
+++ OpenFOAM-1.3/applications/utilities/preProcessing/FoamX/Java/FoamX/Util/FileEditor.java	2006-10-31 16:58:21.229334000 +0900
@@ -92,13 +92,16 @@
                 );
 
                 // Quick and dirty test for availability of file
+		String nulfile_
+		    = (System.getProperty("os.name").indexOf("Windows") >= 0
+		       ? "nul" : "/dev/null");
                 if
                 (
                     !copyFromCaseBrowser
                     (
                         caseBrowser_,
                         fileName_,
-                        new File("/dev/null")
+			new File(nulfile_)
                     )
                 )
                 {
--- OpenFOAM-1.3.orig/bin/FoamX	2005-06-22 01:07:03.000000000 +0900
+++ OpenFOAM-1.3/bin/FoamX	2006-12-03 20:57:12.798651000 +0900
@@ -218,6 +218,8 @@
 #- For mico > 2.3.7 : force to use 1.0
 if [ `uname -s` = 'AIX' ]; then
     orbArgs=''
+elif echo `uname -s` | grep '^CYGWIN' > /dev/null ; then
+    orbArgs="-ORBDefaultInitRef corbaloc:iiop:1.0:$HOSTNAME:$HOSTPORT -ORBInitialPort $HOSTPORT -ORBInitialHost $HOSTNAME"
 else
     orbArgs="-ORBDefaultInitRef corbaloc:iiop:1.0:$HOSTNAME:$HOSTPORT"
 fi
@@ -235,11 +237,18 @@
     echo "Using jar $f"
     jars="${jars}:${f}"
 done
-$jdkhome/bin/java \
+if [ "$WM_ARCH" = "cygwin" ]; then
+    jars=`cygpath -walp "$jars"`
+    WM_PROJECT_DIR=`cygpath -wal "$WM_PROJECT_DIR"`
+    FOAMX_CONFIG=`cygpath -wal "$FOAMX_CONFIG"`
+    FOAM_RUN=`cygpath -wal "$FOAM_RUN"`
+fi
+"$jdkhome/bin/java" \
     -cp "$jars" \
-    -DFoamX.SystemPath=$WM_PROJECT_DIR \
-    -DFoamX.SystemConfigPath=$FOAMX_CONFIG \
-    -DFoamX.UserConfigPath=$FOAMX_CONFIG \
+    -DFoamX.SystemPath="$WM_PROJECT_DIR" \
+    -DFoamX.SystemConfigPath="$FOAMX_CONFIG" \
+    -DFoamX.UserConfigPath="$FOAMX_CONFIG" \
+    -Duser.language=en \
     FoamX.App $orbArgs $args
 
 #------------------------------------------------------------------------------
--- OpenFOAM-1.3.orig/bin/killFoamX	2005-06-22 01:07:04.000000000 +0900
+++ OpenFOAM-1.3/bin/killFoamX	2007-02-25 21:24:15.742601600 +0900
@@ -41,6 +41,9 @@
   IRIX*)
     _XPG=1; export _XPG
     ;;
+  CYGWIN*)
+    LOGNAME=`logname`; export LOGNAME
+    ;;
 esac
 COLUMNS=200
 export COLUMNS
@@ -67,7 +70,12 @@
 # getPID processName
 # Prints pid of named process (looks at users processes only)
 getPID() {
-    ps -u $LOGNAME -o 'pid,args' | fgrep " $1" | fgrep -v grep | head -1 | awk '{ print $1 }'
+    if [ "$WM_ARCH" = "cygwin" ]; then
+        # cygwin ps command gives command name in full path
+        ps -u $LOGNAME -s | awk '(FNR > 1) { print $1, $4 }' | fgrep "/$1" | fgrep -v grep | head -1 | awk '{ print $1 }'
+    else
+	ps -u $LOGNAME -o 'pid,args' | fgrep " $1" | fgrep -v grep | head -1 | awk '{ print $1 }'
+    fi
 }
 
 # myKillAll processName
@@ -122,7 +130,14 @@
 fi
 myIOP="inet:$HOSTNAME:$HOSTPORT"
 
-NAMESERV_THREADS=`ps -u $LOGNAME -o 'pid,args' | fgrep " nsd" | fgrep "$myIOP" | fgrep -v fgrep | head -1 | awk '{ print $1 }'`
+if [ "$WM_ARCH" = "cygwin" ]; then
+    # cygwin ps command gives command name in full path and
+    # does not provide arguments given to commands
+    NAMESERV_THREADS=`ps -u $LOGNAME -s | awk '(FNR > 1) { print $1, $4 }' | grep "/nsd$" | fgrep -v fgrep | head -1 | awk '{ print $1 }'`
+else
+    NAMESERV_THREADS=`ps -u $LOGNAME -o 'pid,args' | fgrep " nsd" | fgrep "$myIOP" | fgrep -v fgrep | head -1 | awk '{ print $1 }'`
+fi
+
 # Kill the MICO nameserver if it is running
 if [ "$NAMESERV_THREADS" ]
 then
--- OpenFOAM-1.3.orig/bin/paraFoam	2005-06-22 01:07:04.000000000 +0900
+++ OpenFOAM-1.3/bin/paraFoam	2007-02-24 17:22:25.378020800 +0900
@@ -50,12 +50,28 @@
 fi
 
 cd $CASE_DIR
-sed -e s%ROOT%$ROOT%g -e s%CASE%$CASE%g $WM_PROJECT_DIR/bin/paraFoam.pvs \
-    > paraFoam.pvs
-touch ${CASE}.foam
+if [ $WM_ARCH = "cygwin" ]; then
+    if [ -r system/controlDict.foam ]; then
+	echo "$0: Using already present $CASE_DIR/system/controlDict.foam."
+        # using cygpath for workaround of paraview warnings
+	paraview --data=`cygpath -wal system/controlDict.foam`
+    else
+	if [ ! -r system/controlDict ]; then
+	    echo $0: system/controlDict does not exist in case directory $CASE_DIR, exiting
+	    exit 0
+	fi
+	ln system/controlDict system/controlDict.foam
+        # using cygpath for workaround of paraview warnings
+	paraview --data=`cygpath -wal system/controlDict.foam`
+	rm system/controlDict.foam
+    fi
+else
+    sed -e s%ROOT%$ROOT%g -e s%CASE%$CASE%g $WM_PROJECT_DIR/bin/paraFoam.pvs \
+        > paraFoam.pvs
+    touch ${CASE}.foam
 
-paraview paraFoam.pvs
-
-rm paraFoam.pvs ${CASE}.foam
+    paraview paraFoam.pvs
 
+    rm paraFoam.pvs ${CASE}.foam
+fi
 #------------------------------------------------------------------------------
--- OpenFOAM-1.3.orig/bin/patchTool	2005-06-22 01:07:03.000000000 +0900
+++ OpenFOAM-1.3/bin/patchTool	2007-02-25 21:28:39.231480000 +0900
@@ -34,6 +34,12 @@
 # Set default JDK path.
 jdkhome="/usr/java/jdk1.4"
 
+#- Set some system specifics
+case `uname -s` in
+  CYGWIN*)
+    LOGNAME=`logname`; export LOGNAME
+    ;;
+esac
 
 printUsage() {
     echo "Usage: `basename $0` <root> <case>"
@@ -56,7 +62,12 @@
 # getPID processName
 # Prints pid of named process (looks at users processes only)
 getPID() {
-    ps -u $LOGNAME -o 'pid,args' | fgrep "$1" | fgrep -v grep | head -1 | awk '{ print $1 }'
+    if [ "$WM_ARCH" = "cygwin" ]; then
+        # cygwin ps command gives command name in full path
+        ps -u $LOGNAME -s | awk '(FNR > 1) { print $1, $4 }' | fgrep "/$1" | fgrep -v grep | head -1 | awk '{ print $1 }'
+    else
+	ps -u $LOGNAME -o 'pid,args' | fgrep " $1" | fgrep -v fgrep | head -1 | awk '{ print $1 }'
+    fi
 }
 
 # cleanup
@@ -151,12 +162,26 @@
     echo "Using running runPatchToolServer (pid $pid) ..."
 else
     `dirname $0`/runPatchToolServer "$caseRoot" "$caseName" < /dev/null&
-    XHB_PID=$!
+    if [ "$WM_ARCH" = "cygwin" ]; then
+	# Workaround for a Cygwin bash problem
+	while [ ! "$XHB_PID" ]
+	do
+	    XHB_PID=`getPID PatchToolServer`
+	    sleep 1
+	done
+	echo PatchToolServer PID: $XHB_PID
+    else
+	XHB_PID=$!
+    fi
 fi
             
 
 #- For mico > 2.3.7 : force to use 1.0
-orbArgs="-ORBDefaultInitRef corbaloc:iiop:1.0:$HOSTNAME:$HOSTPORT"
+if echo `uname -s` | grep '^CYGWIN' > /dev/null ; then
+    orbArgs="-ORBDefaultInitRef corbaloc:iiop:1.0:$HOSTNAME:$HOSTPORT -ORBInitialPort $HOSTPORT -ORBInitialHost $HOSTNAME"
+else
+    orbArgs="-ORBDefaultInitRef corbaloc:iiop:1.0:$HOSTNAME:$HOSTPORT"
+fi
 
 #------------------------------------------------------------------------------
 # Run PatchTool via jar file.
@@ -167,13 +192,20 @@
     echo "Using jar $f"
     jars="${jars}:${f}"
 done
+if [ "$WM_ARCH" = "cygwin" ]; then
+    jars=`cygpath -walp "$jars"`
+    WM_PROJECT_DIR=`cygpath -wal "$WM_PROJECT_DIR"`
+    FOAMX_CONFIG=`cygpath -wal "$FOAMX_CONFIG"`
+    PATCHTOOL_PATH=`cygpath -wal "$PATCHTOOL_PATH"`
+fi
 set -x
-$jdkhome/bin/java \
+"$jdkhome/bin/java" \
     -cp "$jars" \
-    -DFoamX.SystemPath=$WM_PROJECT_DIR \
-    -DFoamX.SystemConfigPath=$FOAMX_CONFIG \
-    -DFoamX.UserConfigPath=$FOAMX_CONFIG \
-    -DFoamX.PatchToolPath=$PATCHTOOL_PATH \
+    -DFoamX.SystemPath="$WM_PROJECT_DIR" \
+    -DFoamX.SystemConfigPath="$FOAMX_CONFIG" \
+    -DFoamX.UserConfigPath="$FOAMX_CONFIG" \
+    -DFoamX.PatchToolPath="$PATCHTOOL_PATH" \
+    -Duser.language=en \
     PatchTool/PatchTool $orbArgs $args
 
 #------------------------------------------------------------------------------
--- OpenFOAM-1.3.orig/bin/runFoamXHB	2005-06-22 01:07:03.000000000 +0900
+++ OpenFOAM-1.3/bin/runFoamXHB	2007-02-25 21:23:49.484844800 +0900
@@ -39,6 +39,9 @@
   IRIX*)
     _XPG=1; export _XPG
     ;;
+  CYGWIN*)
+    LOGNAME=`logname`; export LOGNAME
+    ;;
 esac
 COLUMNS=200
 export COLUMNS
@@ -58,7 +61,12 @@
 # getPID processName
 # Prints pid of named process (looks at users processes only)
 getPID() {
-    ps -u $LOGNAME -o 'pid,args' | fgrep " $1" | fgrep -v fgrep | head -1 | awk '{ print $1 }'
+    if [ "$WM_ARCH" = "cygwin" ]; then
+        # cygwin ps command gives command name in full path
+        ps -u $LOGNAME -s | awk '(FNR > 1) { print $1, $4 }' | fgrep "/$1" | fgrep -v grep | head -1 | awk '{ print $1 }'
+    else
+	ps -u $LOGNAME -o 'pid,args' | fgrep " $1" | fgrep -v fgrep | head -1 | awk '{ print $1 }'
+    fi
 }
 
 # cleanup
@@ -69,7 +77,13 @@
     #- reset traps
     trap 0 2 3 15
 
-    NAMESERV_THREADS=`ps -u $LOGNAME -o 'pid,args' | fgrep " nsd" | fgrep "$myIOP" | fgrep -v fgrep | head -1 | awk '{ print $1 }'`
+    if [ "$WM_ARCH" = "cygwin" ]; then
+        # cygwin ps command gives command name in full path and
+        # does not provide arguments given to commands
+	NAMESERV_THREADS=`ps -u $LOGNAME -s | awk '(FNR > 1) { print $1, $4 }' | grep '/nsd$' | fgrep -v fgrep | head -1 | awk '{ print $1 }'`
+    else
+	NAMESERV_THREADS=`ps -u $LOGNAME -o 'pid,args' | fgrep " nsd" | fgrep "$myIOP" | fgrep -v fgrep | head -1 | awk '{ print $1 }'`
+    fi
     # Kill the MICO nameserver if it is running
     if [ "$NAMESERV_THREADS" ]; then
 	    echo "`basename $0`: Killing name server nsd(pid $NAMESERV_THREADS)."
--- OpenFOAM-1.3.orig/src/Allwmake	2006-04-08 07:47:09.000000000 +0900
+++ OpenFOAM-1.3/src/Allwmake	2006-10-31 16:58:21.069104000 +0900
@@ -154,7 +154,7 @@
 
 (cd malloc ; ./Allwmake)
 
-if [ ! "$WM_ARCH" = "cygwin" -a ! -r $MICO_ARCH_PATH/lib/libmico${MICO_VERSION}.a ]
+if [ ! -r $MICO_ARCH_PATH/lib/libmico${MICO_VERSION}.a ]
 then
     cd $MICO_PATH
     gmake distclean
--- OpenFOAM-1.3.orig/src/mico-2.3.12/ir/Makefile	2005-11-25 20:15:53.000000000 +0900
+++ OpenFOAM-1.3/src/mico-2.3.12/ir/Makefile	2006-10-31 16:58:21.059089000 +0900
@@ -28,7 +28,7 @@
 
 PLATFORM_LIBS =
 ifeq ($(HAVE_CYGWIN), yes)
-PLATFORM_LIBS := $(PLATFORM_LIBS) ../orb/libmico$(VERSION).$(SOEXT)
+PLATFORM_LIBS := $(PLATFORM_LIBS) $(CONFLIBS) ../orb/libmico$(VERSION).$(SOEXT)
 endif
 
 ifeq ($(HAVE_EXCEPTIONS), yes)
--- OpenFOAM-1.3.orig/src/mico-2.3.12/orb/orb.cc	2005-11-25 20:15:54.000000000 +0900
+++ OpenFOAM-1.3/src/mico-2.3.12/orb/orb.cc	2006-10-31 16:58:21.039060000 +0900
@@ -2474,9 +2474,7 @@
     // we need to know OA before calling
     // receive_request_service_context start point
     // - it's called from init_invoke
-    ObjectAdapter *oa = NULL;
-    if (!builtin_invoke (rec, obj, req, pr))
-	oa = get_oa (obj);
+    ObjectAdapter *oa = get_oa (obj);
 #ifdef HAVE_THREADS
 	if (!cb && response_exp) 
 	    cb = new ORBAsyncCallback;
--- OpenFOAM-1.3.orig/wmake/rules/cygwin/Makefile	2006-02-08 17:30:10.000000000 +0900
+++ OpenFOAM-1.3/wmake/rules/cygwin/Makefile	2006-10-31 16:58:21.259377000 +0900
@@ -196,7 +196,7 @@
 
 $(LIB).jar: $(OBJECTS)
 	     $(WM_SCRIPTS)/mkObjectDir $(LIB)
-	     jar cfm $(LIB).jar $(LIB_LIBS) -C $(CLASSES_DIR) .
+	     jar cfm "`cygpath -wal $(LIB).jar`" $(LIB_LIBS) -C $(CLASSES_DIR) .
 
 #------------------------------------------------------------------------------
 # Set rule to create the include directory for libraries
--- OpenFOAM-1.3.orig/wmake/rules/cygwinGcc4/general	2006-04-02 18:18:43.000000000 +0900
+++ OpenFOAM-1.3/wmake/rules/cygwinGcc4/general	2006-10-31 16:58:21.279406000 +0900
@@ -7,7 +7,7 @@
 
 include $(GENERAL_RULES)/sourceToDep
 
-include $(GENERAL_RULES)/java
+#include $(GENERAL_RULES)/java
 include $(GENERAL_RULES)/flex
 include $(GENERAL_RULES)/flex++
 include $(GENERAL_RULES)/byacc
@@ -16,3 +16,4 @@
 
 include $(RULES)/c
 include $(RULES)/c++
+include $(RULES)/java
--- OpenFOAM-1.3.orig/wmake/rules/cygwinGcc4/java	1970-01-01 09:00:00.000000000 +0900
+++ OpenFOAM-1.3/wmake/rules/cygwinGcc4/java	2006-10-31 16:58:21.289420000 +0900
@@ -0,0 +1,10 @@
+.SUFFIXES: .java .class
+
+javac       = javac
+
+include $(GENERAL_RULES)/java$(WM_JAVAC_OPTION)
+
+javaFLAGS   = -classpath '$(CLASS_PATH);$(CLASSES_DIR);.' $(EXE_INC) $(javaOPT) $(javaDBUG) -d $(CLASSES_DIR) -source 1.4
+
+javatoclass = mkdir -p $(CLASSES_DIR) ; \
+    ( $(javac) $(javaFLAGS) $$SOURCE || ( rm -f $@ ) )
